|  | Home | Documentation | isapistream Class Reference updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | Private Member Functions | List of all members
isapistream Class Reference

`#include <isapistream.h>`

Inheritance diagram for isapistream:
[legend]
Collaboration diagram for isapistream:
[legend]

## Public Types
typedef std::iostream | super

## Public Member Functions
| isapistream (EXTENSION_CONTROL_BLOCK *pECB)
virtual | ~isapistream ()
EXTENSION_CONTROL_BLOCK * | ECB ()

## Protected Attributes
isapistreambuf | _buf

## Private Member Functions
| isapistream (isapistream &)
| not implemented. More...
isapistream & | operator= (const isapistream &)
| not implemented. More...

## Detailed Description

ISAPI input/output stream. It can be used anywhere like cout is used, the output goes to the client browser.

## Member Typedef Documentation

typedef std::iostream isapistream::super

## Constructor & Destructor Documentation

isapistream::isapistream | ( | EXTENSION_CONTROL_BLOCK * | pECB | ) |
| inline

constructor.

Parameters

  pECB | the extension control block received as a parameter of HttpExtensionProc

isapistream::~isapistream | ( |  | ) |
| virtual

destructor

isapistream::isapistream | ( | isapistream & |  | ) |
| private

not implemented.

## Member Function Documentation

EXTENSION_CONTROL_BLOCK * isapistream::ECB | ( |  | ) |

Returns
  the EXTENSION_CONTROL_BLOCK wrapped by this

isapistream& isapistream::operator= | ( | const isapistream & |  | ) |
| private

not implemented.

## Member Data Documentation

isapistreambuf isapistream::_buf
| protected

The documentation for this class was generated from the following files:

- isapistream.h
- isapistream.cpp